set_oob_notification(3)

NAME
set_oob_notification() - enable OOB signaling for file descriptor

SYNOPSIS
#include "fwfunc.h"

int set_oob_notification(int fd)

DESCRIPTION
The set_oob_notification function enables receiving OOB signals from socket fd for current process. SIGURG signal handler usually includes processing of OOB data.

RETURN VALUES
The set_oob_notification function returns 0 if ok, non-zero if something fails.

SEE ALSO
fcntl(2),signal(3)

HISTORY
present in fwtk since v1